#!/usr/bin/env bash

setup() {
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

# bats test_tags=slow
@test "pull in latest changes" {
  run $ABRA recipe fetch matrix-synapse
  assert_success

  run git -C "$ABRA_DIR/recipes/matrix-synapse" reset --hard HEAD~3
  assert_success

  run $ABRA recipe release matrix-synapse --no-input
  assert_failure
  assert_output --regexp 'latest git tag .* are the same'

  run git -C "$ABRA_DIR/recipes/matrix-synapse" status
  refute_output --partial 'behind 3'
}
